Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::Sensor Struct Reference

Specification of a Sensor. More...

`import <GatewaySensorManager.idl;`

Inheritance diagram for peripheral::GatewaySensorManager::Sensor:

## Public Attributes
string | sensorId
| Unique sensor id, is automatically generated if not set.
boolean | disabled
| Set disabled = true prevents any usage of the specification.
string | deviceId
| remote device id
string | classId
| sensor class id
string | encodingId
| sensor encoding id
string | defaultName
| sensor name
string | defaultDescription
| sensor description
string | defaultLocationX
| sensor location X coordinate
string | defaultLocationY
| sensor location Y coordinate
string | defaultLocationZ
| sensor location Z coordinate

## Detailed Description

Specification of a Sensor.

Definition at line 590 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ classId

string peripheral::GatewaySensorManager::Sensor::classId

sensor class id

classId is used to locate the corresponding SensorClass. classId = "" prevents the sensor specification from being used for an imported gateway sensor. The sensor value is read anyway, and a read error or a interpretation as Interpretation::REJECT_DEVICE prevents the successful detection of the device

Definition at line 618 of file GatewaySensorManager.idl.

## ◆ defaultDescription

string peripheral::GatewaySensorManager::Sensor::defaultDescription

sensor description

defaultDescription is used as default sensor slot description

Definition at line 639 of file GatewaySensorManager.idl.

## ◆ defaultLocationX

string peripheral::GatewaySensorManager::Sensor::defaultLocationX

sensor location X coordinate

defaultLocationX is used as default sensor slot location X coordinate

Definition at line 646 of file GatewaySensorManager.idl.

## ◆ defaultLocationY

string peripheral::GatewaySensorManager::Sensor::defaultLocationY

sensor location Y coordinate

defaultLocationY is used as default sensor slot location Y coordinate

Definition at line 653 of file GatewaySensorManager.idl.

## ◆ defaultLocationZ

string peripheral::GatewaySensorManager::Sensor::defaultLocationZ

sensor location Z coordinate

defaultLocationZ is used as default sensor slot location Z coordinate

Definition at line 660 of file GatewaySensorManager.idl.

## ◆ defaultName

string peripheral::GatewaySensorManager::Sensor::defaultName

sensor name

defaultName is used as default sensor slot name

Definition at line 632 of file GatewaySensorManager.idl.

## ◆ deviceId

string peripheral::GatewaySensorManager::Sensor::deviceId

remote device id

deviceId is used to locate the corresponding RemoteDevice that provides the physical sensor

Definition at line 607 of file GatewaySensorManager.idl.

## ◆ disabled

boolean peripheral::GatewaySensorManager::Sensor::disabled

Set disabled = true prevents any usage of the specification.

Definition at line 599 of file GatewaySensorManager.idl.

## ◆ encodingId

string peripheral::GatewaySensorManager::Sensor::encodingId

sensor encoding id

classId is used to locate the corresponding ValueEncoding

Definition at line 625 of file GatewaySensorManager.idl.

## ◆ sensorId

string peripheral::GatewaySensorManager::Sensor::sensorId

Unique sensor id, is automatically generated if not set.

Definition at line 594 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl